WordPress 3.8.2 : Mise à jour de sécurité critique

1 étoile2 étoiles3 étoiles4 étoiles5 étoiles (5,00/5 - 3 vote(s))
Baptiste Développement web 11
WordPress 3.8.2 : Mise à jour de sécurité critique

Alors que WordPress 3.9 devrait être dévoilé en version finale la semaine prochaine, l’éditeur du célèbre système de gestion de contenu Automattic déploie une importante mise à jour de sécurité pour la dernière version actuellement en production, soit la branche 3.8 : WordPress 3.8.2.

Cette mise à jour corrige des failles critiques permettant notamment de forcer l’authentification au travers de cookie ou encore de publier des articles à partir d’un compte dont le rôle est contributeur. D’autres corrections de vulnérabilités sont à noter. Automattic conseille donc sans surprise une mise à jour dans les plus brefs délais.

Via

Laisser un commentaire

11 commentaires le "WordPress 3.8.2 : Mise à jour de sécurité critique"

  1. Léa 11/04/2014 à 17:58 · Répondre

    HELP !

    Tout d’abord, merci pour cet article. J’ai fait cette mise à jour quelques jours auparavant, ayant lu des articles positifs et encourageants. Mais voilà, TOUS mes plugins ne sont désormais plus compatibles, et également d’autres problèmes sont survenus. A la simple publication de texte dans une page, au simple formulaire… Tout est foutu ! Cela fait presque 2 mois que je travaille pour mettre en place ce site… Et là, badaboum.

    Quelqu’un a-t-il eu le même problème que moi ? Y a-t-il une solution ? Peut-on installer une ancienne version ?

    Merci d’avance !

    • Baptiste 11/04/2014 à 18:39 · Répondre

      Hello Léa,

      Il est un peu tard, mais avant une mise à jour, il convient de :
      - Faire une sauvegarde de tes fichiers et de ta base de données (ou tout du moins savoir que ces éléments sont à dispositions si besoin)
      - S’assurer de la compatibilité des extensions installées

      Dans ce sens, as-tu des sauvegardes des fichiers et de la base de données sous la main pour les restaurer ? Si c’est le cas, je t’invite à le faire, et progressivement vérifier la compatibilité de tes extensions et/ou attendre qu’une mise à jour de ces plugins soit proposée avant d’upgrader.

      Ceci dit, ce dysfonctionnement de toutes tes extensions me paraît bizarre compte tenu des modifications apportées par cette mise à jour. Il ne s’agit en effet que de corrections de bugs et non de nouvelles fonctionnalités.

      Bref, bon courage en espérant que tu parviennes à remettre ton site sur pied :)

      Excellente soirée.

      • Léa 11/04/2014 à 19:33 · Répondre

        Merci beaucoup pour cette rapide réponse. Malheureusement, je me suis faite avoir bêtement, et la MAJ a tout écrasée.

        Je commence à perdre espoir, et à m’intéresser à des CMS plus poussés comme drupal.

        Encore merci, bonne continuation et bon week-end =)

        • Baptiste 11/04/2014 à 19:59 · Répondre

          Ne perds pas espoir trop vite. Il y a des tas de pistes à explorer pour corriger le tir, à commencer par remplacer les fichiers de la 3.8.2 par ceux de la 3.8.1, tester les extensions sur une installation fraiche de la 3.8.2 pour s’assurer de l’incompatibilité que tu sembles avoir noté, etc.

          Et attention, Drupal n’a vraiment rien à voir. Je ne connais pas la taille de ton projet mais veille à ne pas opter pour un outil démesuré par rapport à tes besoins.

          • Léa 11/04/2014 à 20:37 ·

            Merci pour ces conseils. Je continue à chercher, mais je m’informe aussi sur d’autres CMS =)

            Je cherche à faire mon portfolio, j’ai quelques bases en PHP, mais je voulais vraiment me faciliter la vie avec WordPress. Cependant, je me suis vite rendu compte que modifier le code, ce n’est pas si simple. Plusieurs extensions étaient intéressantes, mais voulant quelque chose de précis, j’ai galéré à les personnaliser.
            Bref, je recherche, et je verrai bien. Encore merci !

          • Léa 19/04/2014 à 20:08 ·

            Bonjour,

            Suite à vos réponses et votre implication, je viens aux nouvelles afin de vous exposer la solution à mon problème. Il s’est avéré qu’une extension, qui fonctionnait avant la mise à jour, a complètement entravé le fonctionnement du site. Il s’agit de « Yuzo-related-post ».

            Merci encore pour vos réponses, j’espère que cette information aidera des futurs utilisateurs, qui sont, comme moi, peu expérimentés avec WordPress.

            Cordialement,
            Léa

          • Baptiste 21/04/2014 à 18:10 ·

            Content que la solution ait été trouvée ;)

            Bonne continuation !

Rétroliens de cet article

  1. WordPress 3.8.2 : Mise à jour de s&eacut...
  2. WordPress 3.8.2 : Mise à jour de s&eacut...
  3. WordPress 3.8.2 : Mise à jour de s&eacut...
  4. WordPress 3.9 Smith : le CMS est dans les bacs | BlogNT